#!/bin/bash

### BEGIN INIT INFO
# Provides:          aTrust
# Required-Start:    $all
# Required-Stop:     $all
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the aTrustTray
### END INIT INFO

# Starts the at tray
# Source function library.
RETVAL=0
START_SH="/usr/share/sangfor/aTrust/resources/shell/aTrustTrayStart.sh"
PROG="/usr/share/sangfor/aTrust/aTrustTray"

start() {
        ${START_SH} &
        RETVAL=$?
        return $RETVAL
}

stop() {
        #先kill，杀不死的时候直接强制杀死
        if killall ${PROG} ;then
                killall -9 ${PROG}
        fi
        RETVAL=$?
        return $RETVAL
}


restart() {
        stop
        start
}

reload() {
        restart
}

case "$1" in
start)
        start
        ;;
stop)
        stop
        ;;
reload|restart)
        restart
        ;;
*)
        echo $"Usage: $0 {start|stop|restart}"
        exit 1
esac

exit $?
exit $RETVAL
